Subject: Re: bug#18221: Source of mit-scheme

From: [email-masked] (Ludovic Courtès)
Date: Sun, 17 Aug 2014 17:06:07 +0200

Mark H Weaver <[email-masked]> skribis:

> The problem here is that the "c" belongs in a different place in the
> filename than where the "i386" or "x86-64" goes.  The filenames are:
>
>   mit-scheme-9.2-i386.tar.gz
>   mit-scheme-9.2-x86-64.tar.gz
>   mit-scheme-c-9.2.tar.gz
>
> So I guess we need something like this (untested):
>
>   (uri (string-append "mirror://gnu/mit-scheme/stable.pkg/"
>                       version "/mit-scheme-"
>                       (match (%current-system)
>                         ("x86_64-linux"
>                          (string-append version "-x86-64"))
>                         ("i686-linux"
>                          (string-append version "-i386"))
>                         (_
>                          (string-append "c-" version)))
>                       ".tar.gz"))

Yes, I think that’s what’s needed, so OK to commit.

(And yes, I agree it’s fine to ignore cross-compilation for now.)

Thanks,
Ludo’.